## ros-noetic-kvh-geo-fog-3d-msgs 1.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kvh_geo_fog_3d_msgs)

# Find what is required to build
find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

# Add our message files
add_message_files(DIRECTORY msg)

# Generate our messages
generate_messages(DEPENDENCIES std_msgs)

# Add our messages to the package
catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== debian/changelog ===
ros-noetic-kvh-geo-fog-3d-msgs (1.5.1-1focal) focal; urgency=high

  * No changes to msgs package.

 -- Trevor Bostic <tbostic@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.5.0-1focal) focal; urgency=high

  * No changes to msgs package.

 -- Trevor Bostic <tbostic@mitre.org>  Thu, 01 Jul 2021 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.4.0-1focal) focal; urgency=high

  * No changes to the messages package.

 -- Trevor Bostic <tbostic@mitre.org>  Tue, 16 Jun 2020 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.3.3-1focal) focal; urgency=high

  * No changes to msgs package.

 -- Trevor Bostic <tbostic@mitre.org>  Tue, 21 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.3.2-1focal) focal; urgency=high

  * No changes to msgs package.

 -- Trevor Bostic <tbostic@mitre.org>  Fri, 17 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.3.1-1focal) focal; urgency=high

  * No changes to msgs package.

 -- Trevor Bostic <tbostic@mitre.org>  Tue, 14 Jan 2020 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.3.0-1focal) focal; urgency=high

  * Updating packaging and cmakes to conform to catkin_lint
  * Merging in all of the PRS preparation. This code should be just about good to go.
  * Fixing LICENSE file for msgs.
  * Moving license files to be under each package, since theoretically they could be licensed separately.
  * Adding license information.
  * Contributors: Zach LaCelle

 -- Trevor Bostic <tbostic@mitre.org>  Mon, 02 Dec 2019 05:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.2.0-1focal) focal; urgency=high

  * Merge branch 'raw_packets' into 'master'
    Filter Options and Magnetometer
    See merge request DART/kvh_geo_fog_3d!14
  * Filter Options and Magnetometer
  * Removed field that is not supported natively by their library.
  * Added message types for raw gnss and raw sensors kvh packets.
  * Merge branch 'odom_packet' into 'master'
    Odom packet
    See merge request DART/kvh_geo_fog_3d!13
  * Added odom state message and message publishers to kvh driver node.
  * Adding message for wheel odometry.
  * Contributors: Bostic, Trevor R, LaCelle, Zachary

 -- Trevor Bostic <tbostic@mitre.org>  Fri, 27 Sep 2019 04:00:00 -0000

ros-noetic-kvh-geo-fog-3d-msgs (1.1.0-1focal) focal; urgency=high

  * Adding build/clean scripts for msgs
  * Moving messages to their own package

 -- Trevor Bostic <tbostic@mitre.org>  Tue, 13 Aug 2019 17:32:35 -0400

=== debian/control ===
Source: ros-noetic-kvh-geo-fog-3d-msgs
Section: misc
Priority: optional
Maintainer: Trevor Bostic <tbostic@mitre.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-kvh-geo-fog-3d-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: kvh_geo_fog_3d_msgs contains raw messages for the KVH GEO FOG 3D INS devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-kvh-geo-fog-3d-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
